import { Animated } from "react-native";
export declare const tiny = 6;
export declare const small = 12;
export declare const base = 18;
export declare const large = 36;
export declare const extra = 48;
/**
 * Efeito de animação genérica usada nos componentes
 *
 * https://easings.net/#easeOutQuint
 * https://developers.google.com/web/fundamentals/design-and-ux/animations/choosing-the-right-easing
 * https://codepen.io/radialglo/post/understanding-the-intuition-of-easing
 */
export declare const QuinticEaseOut: import("react-native").EasingFunction;
/**
 * Animação genérica usada nos componentes
 *
 * @param value
 * @param toValue
 * @param callback
 */
export declare function animateGeneric(value: Animated.Value | Animated.ValueXY, toValue: number, callback?: Animated.EndCallback, native?: boolean, start?: boolean, duration?: number): Animated.CompositeAnimation;
export declare function animateGenericNative(value: Animated.Value | Animated.ValueXY, toValue: number, callback?: Animated.EndCallback, start?: boolean, duration?: number): Animated.CompositeAnimation;
